#!/usr/bin/python3

n = int(input())

word = "ETILLETA"
dp = [0 for i in range(len(word)+1)]
dp[0] = 1

f = []
for x in range(200):
    for i in range(len(word)):
        for j in range(len(word)-1,-1,-1):
            if word[i] == word[j]:
                dp[j+1] += dp[j]
    f.append(dp[-1])

for x in f[::-1]:
    print("S"*(n//x),end="")
    n %= x
    print(word[::-1],end="")
print()
